diff --git a/resources/views/livewire/project/database/redis/general.blade.php b/resources/views/livewire/project/database/redis/general.blade.php
index ac9e97c21..a274fa62e 100644
--- a/resources/views/livewire/project/database/redis/general.blade.php
+++ b/resources/views/livewire/project/database/redis/general.blade.php
@@ -9,7 +9,8 @@
-
+
@if (version_compare($redis_version, '6.0', '>='))
@@ -36,31 +37,49 @@
Network
-
+
-
+
@if ($db_url_public)
-
+
@endif
-
Proxy
-
-
-
- Proxy Logs
-
-
-
- Proxy Logs
-
+
+
+
+
Proxy
+
+
+ @if (data_get($database, 'is_public'))
+
+ Proxy Logs
+
+
+
+ Logs
+
+ @endif
+
+
-
+
Advanced
-
+
diff --git a/resources/views/livewire/project/edit.blade.php b/resources/views/livewire/project/edit.blade.php
index e2f050f4d..58680f562 100644
--- a/resources/views/livewire/project/edit.blade.php
+++ b/resources/views/livewire/project/edit.blade.php
@@ -7,7 +7,7 @@
Project: {{ data_get($project, 'name') }}
Save
-
+
Edit project details here.
diff --git a/resources/views/livewire/project/show.blade.php b/resources/views/livewire/project/show.blade.php
index 348e0564d..861537733 100644
--- a/resources/views/livewire/project/show.blade.php
+++ b/resources/views/livewire/project/show.blade.php
@@ -12,7 +12,7 @@
-
+
{{ $project->name }}.
diff --git a/routes/web.php b/routes/web.php
index eaf849ce6..afe392052 100644
--- a/routes/web.php
+++ b/routes/web.php
@@ -164,7 +164,7 @@ Route::middleware(['auth', 'verified'])->group(function () {
})->name('terminal.auth');
Route::prefix('invitations')->group(function () {
- Route::get('/{uuid}', [Controller::class, 'accept_invitation'])->name('team.invitation.accept');
+ Route::get('/{uuid}', [Controller::class, 'acceptInvitation'])->name('team.invitation.accept');
Route::get('/{uuid}/revoke', [Controller::class, 'revoke_invitation'])->name('team.invitation.revoke');
});
diff --git a/scripts/install.sh b/scripts/install.sh
index e005b7493..6712e2de2 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -185,11 +185,51 @@ elif [ -x "$(command -v service)" ]; then
SSH_DETECTED=true
fi
fi
+
+
if [ "$SSH_DETECTED" = "false" ]; then
- echo "###############################################################################"
- echo "WARNING: Could not detect if OpenSSH server is installed and running - this does not mean that it is not installed, just that we could not detect it."
- echo -e "Please make sure it is set, otherwise Coolify cannot connect to the host system. \n"
- echo "###############################################################################"
+ echo " - OpenSSH server not detected. Installing OpenSSH server."
+ case "$OS_TYPE" in
+ arch)
+ pacman -Sy --noconfirm openssh >/dev/null
+ systemctl enable sshd >/dev/null 2>&1
+ systemctl start sshd >/dev/null 2>&1
+ ;;
+ alpine)
+ apk add openssh >/dev/null
+ rc-update add sshd default >/dev/null 2>&1
+ service sshd start >/dev/null 2>&1
+ ;;
+ ubuntu | debian | raspbian)
+ apt-get update -y >/dev/null
+ apt-get install -y openssh-server >/dev/null
+ systemctl enable ssh >/dev/null 2>&1
+ systemctl start ssh >/dev/null 2>&1
+ ;;
+ centos | fedora | rhel | ol | rocky | almalinux | amzn)
+ if [ "$OS_TYPE" = "amzn" ]; then
+ dnf install -y openssh-server >/dev/null
+ else
+ dnf install -y openssh-server >/dev/null
+ fi
+ systemctl enable sshd >/dev/null 2>&1
+ systemctl start sshd >/dev/null 2>&1
+ ;;
+ sles | opensuse-leap | opensuse-tumbleweed)
+ zypper install -y openssh >/dev/null
+ systemctl enable sshd >/dev/null 2>&1
+ systemctl start sshd >/dev/null 2>&1
+ ;;
+ *)
+ echo "###############################################################################"
+ echo "WARNING: Could not detect and install OpenSSH server - this does not mean that it is not installed or not running, just that we could not detect it."
+ echo -e "Please make sure it is installed and running, otherwise Coolify cannot connect to the host system. \n"
+ echo "###############################################################################"
+ exit 1
+ ;;
+ esac
+ echo " - OpenSSH server installed successfully."
+ SSH_DETECTED=true
fi
# Detect SSH PermitRootLogin
@@ -291,7 +331,10 @@ test -s /etc/docker/daemon.json && cp /etc/docker/daemon.json /etc/docker/daemon
"log-opts": {
"max-size": "10m",
"max-file": "3"
- }
+ },
+ "default-address-pools": [
+ {"base":"10.0.0.0/8","size":24}
+ ]
}
EOL
cat >/etc/docker/daemon.json.coolify </etc/docker/daemon.json.coolify <